Package com.google.android.exoplayer2.transformer

## Interface Transformer.Listener

- Enclosing class:
    Transformer

      public static interface Transformer.Listener

  A listener for the transformation events.

- - ### Method Summary

    All Methods Instance Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `onFallbackApplied​(MediaItem inputMediaItem, TransformationRequest originalTransformationRequest, TransformationRequest fallbackTransformationRequest)` | Called when fallback to an alternative `TransformationRequest` is necessary to comply with muxer or device constraints.
    `default void` | `onTransformationCompleted​(MediaItem inputMediaItem)` | Deprecated. Use `onTransformationCompleted(MediaItem, TransformationResult)` instead.
    `default void` | `onTransformationCompleted​(MediaItem inputMediaItem, TransformationResult transformationResult)` | Called when the transformation is completed successfully.
    `default void` | `onTransformationError​(MediaItem inputMediaItem, TransformationException exception)` | Called if an exception occurs during the transformation.
    `default void` | `onTransformationError​(MediaItem inputMediaItem, Exception exception)` | Deprecated. Use `onTransformationError(MediaItem, TransformationException)`.

- - ### Method Detail

    - #### onTransformationCompleted

          @Deprecated
          default void onTransformationCompleted​(MediaItem inputMediaItem)

      Deprecated.
      Use `onTransformationCompleted(MediaItem, TransformationResult)` instead.

    - #### onTransformationCompleted

          default void onTransformationCompleted​(MediaItem inputMediaItem,
                                                 TransformationResult transformationResult)

      Called when the transformation is completed successfully.
      Parameters:
        `inputMediaItem` - The `MediaItem` for which the transformation is completed.
        `transformationResult` - The `TransformationResult` of the transformation.

    - #### onTransformationError

          @Deprecated
          default void onTransformationError​(MediaItem inputMediaItem,
                                             Exception exception)

      Deprecated.
      Use `onTransformationError(MediaItem, TransformationException)`.

    - #### onTransformationError

          default void onTransformationError​(MediaItem inputMediaItem,
                                             TransformationException exception)

      Called if an exception occurs during the transformation.
      Parameters:
        `inputMediaItem` - The `MediaItem` for which the exception occurs.
        `exception` - The `TransformationException` describing the exception.

    - #### onFallbackApplied

          default void onFallbackApplied​(MediaItem inputMediaItem,
                                         TransformationRequest originalTransformationRequest,
                                         TransformationRequest fallbackTransformationRequest)

      Called when fallback to an alternative `TransformationRequest` is necessary to comply with muxer or device constraints.
      Parameters:
        `inputMediaItem` - The `MediaItem` for which the transformation is requested.
        `originalTransformationRequest` - The unsupported `TransformationRequest` used when building `Transformer`.
        `fallbackTransformationRequest` - The alternative `TransformationRequest`, with supported `TransformationRequest.audioMimeType`, `TransformationRequest.videoMimeType`, `TransformationRequest.outputHeight`, and `TransformationRequest.enableRequestSdrToneMapping` values set.